Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mysql.jdbc
Class WatchableOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.ByteArrayOutputStream
              com.mysql.jdbc.WatchableOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

     class WatchableOutputStream

extends java.io.ByteArrayOutputStream

A java.io.OutputStream used to write ASCII data into Blobs and Clobs

Field Summary

Fields inherited from class java.io.ByteArrayOutputStream
`buf, count`

Constructor Summary
`WatchableOutputStream()`

Method Summary
`void` | `close()`
`void` | `setWatcher(OutputStreamWatcher watcher)` DOCUMENT ME!

Methods inherited from class java.io.ByteArrayOutputStream
`reset, size, toByteArray, toString, toString, toString, write, write, writeTo`

Methods inherited from class java.io.OutputStream
`flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WatchableOutputStream

    WatchableOutputStream()

Method Detail

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.ByteArrayOutputStream`
  Throws:
    `java.io.IOException`
  See Also:
    `OutputStream.close()`

### setWatcher

    public void setWatcher(OutputStreamWatcher watcher)

  DOCUMENT ME!

  Parameters:
    `watcher` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD